---
title: Australia Citizens
slug: api/australia-citizens
icon: {"faIcon":"fa-solid fa-ellipsis-vertical"}
createdAt: 2025-02-28T00:26:19.727Z
---

**Data Zoo’s proprietary opt-in permission based marketing database.** &#x20;

For Authorization [Get Session Token ](https://app.archbee.com/public/PREVIEW-hnayPWtSAEmBvPEAR1R0A/PREVIEW-xqss5K2lV8fJT_0PV5DBk)from Authentication page.

:::ApiMethodV2
```json
{
  "name": "Australia Citizens",
  "method": "POST",
  "url": "https://idu-test.datazoo.com/api/v2/verify",
  "description": "* Verification Outcome – Returns KYC verification\n* Consumer Consent – N/A\n* Mandatory Input – Name and (DOB or Address)\n* Verifies – Name, DOB, Address, Phone number and Email\n* Returned Data - metrix used for address matching logic, identity of the data source",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "f2jMy98sIuBrop0Bgc788",
        "language": "curl",
        "code": "curl --location 'https://idu-test.datazoo.com/api/v2/verify' \\\n--header 'Content-Type: application/json' \\\n--header 'Authorization: ••••••' \\\n--data-raw '{\n    \"countryCode\": \"AU\",\n    \"service\": [\n        \"Australia Citizens\"\n    ],\n    \"clientReference\": \"Test_0001\",\n    \"firstName\": \"Aloysius\",\n    \"middleName\": \"Jefferson\",\n    \"lastName\": \"Pasco\",\n    \"dateOfBirth\": \"1946-11-01\",\n    \"addressElement1\": \"30 Plane Tree Green\",\n    \"addressElement3\": \"Forrestfield\",\n    \"addressElement4\": \"WA\",\n    \"addressElement5\": \"6058\",\n    \"identityVariables\": {\n        \"phoneNo\": \"0487787402\",\n        \"landlineNo\": \"0734086754\",\n        \"email\": \"apasco@datatest.com.com\"\n    }\n}\n'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "f2jMy98sIuBrop0Bgc788"
  },
  "results": {
    "languages": [
      {
        "id": "-KLLvb-_jXQIuU-WuWQAF",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"countryCode\": \"Australia\",\n    \"clientReference\": \"Test_0001\",\n    \"reportingReference\": \"DZ-88560fc7-686a-45f5-a29c-d1f667580850\",\n    \"matchStatus\": \"Full Match 1+1 Verification\",\n    \"searchErrorMessage\": \"\",\n    \"safeHarbour\": false,\n    \"searchStatus\": \"Successful\",\n    \"serviceResponses\": {\n        \"Australia Citizens\": {\n            \"status\": 1,\n            \"sourceStatus\": \"Successful\",\n            \"errorMessage\": \"\",\n            \"identityVerified\": true,\n            \"safeHarbourScore\": \"N1\",\n            \"nameMatchScore\": \"1.000\",\n            \"addressMatchScore\": \"1.000\",\n            \"verifications\": {\n                \"addressElement1\": true,\n                \"addressElement3\": true,\n                \"addressElement4\": true,\n                \"addressElement5\": true,\n                \"email\": true,\n                \"firstName\": true,\n                \"landlineNo\": false,\n                \"lastName\": true,\n                \"phoneNo\": true\n            },\n            \"returnedData\": {\n                \"altAddressMatchScore\": \"0\",\n                \"altNameMatchScore\": \"A1\",\n                \"dpId\": \"63233056\",\n                \"source\": \"DZ1\"\n            }\n        }\n    },\n    \"remarks\": []\n}"
      },
      {
        "id": "AS5tJ4glQVhlG7b69Q21J",
        "language": "404",
        "customLabel": "",
        "code": "{\n  \"message\": \"Ain't no cake like that.\"\n}"
      }
    ],
    "selectedLanguageId": "-KLLvb-_jXQIuU-WuWQAF"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "name": "Authorization",
        "kind": "required",
        "type": "string",
        "description": "sessionToken obtained via the Authentication call",
        "": "sessionToken obtained via the Authentication call"
      }
    ],
    "bodyDataParameters": [
      {
        "name": "data",
        "kind": "required",
        "type": "object",
        "description": "request body sent to the API",
        "": "object",
        "children": [
          {
            "name": "countryCode",
            "kind": "required",
            "type": "string",
            "description": "AU"
          },
          {
            "name": "service",
            "kind": "required",
            "type": "array",
            "description": "Australia Citizens"
          },
          {
            "name": "clientReference",
            "kind": "optional",
            "type": "string",
            "description": "a client reference field"
          },
          {
            "name": "firstName",
            "kind": "required",
            "type": "string",
            "description": "the first name of the identity owner"
          },
          {
            "name": "middleName",
            "kind": "optional",
            "type": "string",
            "description": "the middle name(s) of the identity owner"
          },
          {
            "name": "lastName",
            "kind": "required",
            "type": "string",
            "description": "the last name of the identity owner"
          },
          {
            "name": "gender",
            "kind": "optional",
            "type": "string",
            "description": "Male or Female"
          },
          {
            "name": "dateOfBirth",
            "kind": "required",
            "type": "string",
            "description": "in YYYY-MM-DD (preferred) or DD-MM-YYYY format\n* [conditional optional - See note below]"
          },
          {
            "name": "addressElement1",
            "kind": "required",
            "type": "string",
            "description": "the street level address of the identity owner\n* [conditional optional - See note below]"
          },
          {
            "name": "addressElement3",
            "kind": "optional",
            "type": "string",
            "description": "the suburb address of the identity owner"
          },
          {
            "name": "addressElement4",
            "kind": "optional",
            "type": "string",
            "description": "the state address of the identity owner"
          },
          {
            "name": "addressElement5",
            "kind": "required",
            "type": "string",
            "description": "the postcode of the address of the identity owner\n* [conditional optional - See note below]",
            "children": []
          },
          {
            "name": "identityVariables",
            "kind": "optional",
            "type": "object",
            "description": "other elements for verification",
            "children": [
              {
                "name": "phoneNo",
                "kind": "optional",
                "type": "string",
                "description": "mobile phone number of the identity owner"
              },
              {
                "name": "landlineNo",
                "kind": "optional",
                "type": "string",
                "description": "landline phone number of the identity owner"
              },
              {
                "name": "email",
                "kind": "optional",
                "type": "string",
                "description": "email address of the identity owner"
              }
            ]
          }
        ],
        "schema": [
          {
            "name": "countryCode",
            "kind": "required",
            "type": "string",
            "description": "AU"
          },
          {
            "name": "service",
            "kind": "required",
            "type": "array",
            "description": "Australia Citizens"
          },
          {
            "name": "clientReference",
            "kind": "optional",
            "type": "string",
            "description": "a client reference field"
          },
          {
            "name": "firstName",
            "kind": "required",
            "type": "string",
            "description": "the first name of the identity owner"
          },
          {
            "name": "middleName",
            "kind": "optional",
            "type": "string",
            "description": "the middle name(s) of the identity owner"
          },
          {
            "name": "lastName",
            "kind": "required",
            "type": "string",
            "description": "the last name of the identity owner"
          },
          {
            "name": "gender",
            "kind": "optional",
            "type": "string",
            "description": "Male or Female"
          },
          {
            "name": "dateOfBirth",
            "kind": "required",
            "type": "string",
            "description": "in YYYY-MM-DD (preferred) or DD-MM-YYYY format\n* [conditional optional - See note below]"
          },
          {
            "name": "addressElement1",
            "kind": "required",
            "type": "string",
            "description": "the street level address of the identity owner\n* [conditional optional - See note below]"
          },
          {
            "name": "addressElement3",
            "kind": "optional",
            "type": "string",
            "description": "the suburb address of the identity owner"
          },
          {
            "name": "addressElement4",
            "kind": "optional",
            "type": "string",
            "description": "the state address of the identity owner"
          },
          {
            "name": "addressElement5",
            "kind": "required",
            "type": "string",
            "description": "the postcode of the address of the identity owner\n* [conditional optional - See note below]",
            "children": []
          },
          {
            "name": "identityVariables",
            "kind": "optional",
            "type": "object",
            "description": "other elements for verification",
            "children": [
              {
                "name": "phoneNo",
                "kind": "optional",
                "type": "string",
                "description": "mobile phone number of the identity owner"
              },
              {
                "name": "landlineNo",
                "kind": "optional",
                "type": "string",
                "description": "landline phone number of the identity owner"
              },
              {
                "name": "email",
                "kind": "optional",
                "type": "string",
                "description": "email address of the identity owner"
              }
            ]
          }
        ]
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "response": [
    {
      "name": "countryCode",
      "kind": "optional",
      "type": "string",
      "description": "Australia",
      "children": []
    },
    {
      "name": "clientReference",
      "kind": "optional",
      "type": "string",
      "description": "the client reference (if given as input) ",
      "children": []
    },
    {
      "name": "reportingReference",
      "kind": "optional",
      "type": "string",
      "description": "a reference number generated which is unique to each transaction. ",
      "children": []
    },
    {
      "name": "validationErrors",
      "kind": "optional",
      "type": "string",
      "description": "Returned with HTTP status code 400 when the request contains invalid or improperly formatted input data.",
      "children": []
    },
    {
      "name": "matchStatus",
      "kind": "optional",
      "type": "string",
      "description": "\"Full Match 1+1 Verification\" \n\"No Match\" "
    },
    {
      "name": "searchErrorMessage",
      "kind": "optional",
      "type": "string",
      "description": "\"\"\nerror message returned querying the data source",
      "children": []
    },
    {
      "name": "safeHarbour",
      "kind": "optional",
      "type": "boolean",
      "description": "true or false",
      "children": []
    },
    {
      "name": "searchStatus",
      "kind": "optional",
      "type": "string",
      "description": "\"Successful\" \n\"Not Successful\"",
      "children": []
    },
    {
      "name": "serviceResponses",
      "kind": "optional",
      "type": "object",
      "description": "Verification Details with \"Australia Citizens\" returned as the Service Identifier. ",
      "children": [
        {
          "name": "status",
          "kind": "optional",
          "type": "integer",
          "description": "0 - identityVerified TRUE - element verifications all TRUE\n1 - identityVerified TRUE - element verifications not all TRUE\n2 - identityVerified FALSE - sourceStatus SUCCESSFUL\n3 - identityVerified FALSE - sourceStatus NOT SUCCESSFUL"
        },
        {
          "name": "sourceStatus",
          "kind": "optional",
          "type": "string",
          "description": "\"Successful\"\n\"Unsuccessful\""
        },
        {
          "name": "errorMessage",
          "kind": "optional",
          "type": "string",
          "description": "\"\"\nerror message(s) from the data source.  Example, \"Error querying data source\"."
        },
        {
          "name": "identityVerified",
          "kind": "optional",
          "type": "boolean",
          "description": "true or false"
        },
        {
          "name": "safeHarbourScore",
          "kind": "optional",
          "type": "string",
          "description": "M1, M2 or N1\n* For more information, refer to Safe Harbour Scores page"
        },
        {
          "name": "nameMatchScore",
          "kind": "optional",
          "type": "string",
          "description": "A string that acts as a value between 0.000 and 1.000."
        },
        {
          "name": "addressMatchScore",
          "kind": "optional",
          "type": "string",
          "description": "A string that acts as a value between 0.000 and 1.000.\n"
        },
        {
          "name": "verifications",
          "kind": "optional",
          "type": "object",
          "description": "element level verification returned as true or false\n[Only applicable elements will be included, and not all elements may be present]",
          "children": [
            {
              "name": "addressElement1",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "addressElement3",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "addressElement4",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "addressElement5",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "dateOfBirth",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "email",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "firstName",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "gender",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "landlineNo",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "lastName",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "middleName",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "phoneNo",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            }
          ]
        },
        {
          "name": "returnedData",
          "kind": "optional",
          "type": "object",
          "description": "returns additional data from the data source.",
          "children": [
            {
              "name": "altAddressMatchScore",
              "kind": "optional",
              "type": "string",
              "description": "metrix used for address matching logic"
            },
            {
              "name": "altNameMatchScore",
              "kind": "optional",
              "type": "string",
              "description": "metrix used for name matching logic"
            },
            {
              "name": "dpId",
              "kind": "optional",
              "type": "string",
              "description": "Delivery Point Identifier of the address"
            },
            {
              "name": "source",
              "kind": "optional",
              "type": "string",
              "description": "identifies the data source used "
            }
          ]
        }
      ]
    },
    {
      "name": "remarks",
      "kind": "optional",
      "type": "array",
      "description": "will return remarks regarding any encountered issues or pre-validation errors.",
      "children": []
    }
  ],
  "autoGeneratedAnchorSlug": "australia-citizens",
  "legacyHash": "U_LXPMNj7k-VmJW4Co_Dw"
}
```
:::

***

:::hint{type="info"}
**Mandatory input for Date of Birth and Address**

Date of Birth and Address input are ***Required&#x20;***&#x62;ased on criteria:

Either `dateOfBirth `or street address with postcode must be provided (`addressElement1 `and `addressElement5`) as input.
:::

***

::::hint{type="info"}
**Links**

:::CtaButton{label="About Safe Harbour Scores" docId="9Fe9gAz4I566ohH2Thslq" openInNewTab="true"}

:::
::::

***

:::Changelog{title="Change History"}
::ChangelogItem{type="added" description="Last updated - 10 March, 2025"}
:::

